Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.common
Class CloseSession

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.wass.common.AbstractRequest
              org.deegree.ogcwebservices.wass.common.CloseSession

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class CloseSession

extends AbstractRequest

Encapsulated data: CloseSession element Namespace: http://www.gdi-nrw.de/session

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`CloseSession(String id, Map<String,String> kvp)` Constructs new one from the given key-value-pairs.
`CloseSession(String id, String service, String version, String sessionID)` Constructs new one from the given values.

Method Summary
`static OGCWebServiceRequest` | `create(String id, Element documentElement)`
`static OGCWebServiceRequest` | `create(String id, Map<String,String> kvp)`
`String` | `getSessionID()`

Methods inherited from class org.deegree.ogcwebservices.wass.common.AbstractRequest
`getRequest, getServiceName`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CloseSession

    public CloseSession(String id,
                        String service,
                        String version,
                        String sessionID)

  Constructs new one from the given values.

  Parameters:
    `id` - the request id
    `service` -
    `version` -
    `sessionID` -

### CloseSession

    public CloseSession(String id,
                        Map<String,String> kvp)

  Constructs new one from the given key-value-pairs.

  Parameters:
    `id` - the request id
    `kvp` - the map

Method Detail

### getSessionID

    public String getSessionID()

  Returns:
    Returns the sessionID.

### create

    public static OGCWebServiceRequest create(String id,
                                              Element documentElement)
                                       throws OGCWebServiceException

  Parameters:
    `id` -
    `documentElement` -
  Returns:
    a new instance of this class
  Throws:
    `OGCWebServiceException`

### create

    public static OGCWebServiceRequest create(String id,
                                              Map<String,String> kvp)

  Parameters:
    `id` -
    `kvp` -
  Returns:
    a new instance of this class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org